Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 3a63c0d15b8ad8d840ef5cfceabc960802823188)
+++ BOOK/packages.ent	(revision 670bf2c7c0c2aa2b2125f2e60da6e7da37427068)
@@ -163,8 +163,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "4.5.1">
-<!ENTITY gcc-size "64,576 KB">
+<!ENTITY gcc-version "4.5.2">
+<!ENTITY gcc-size "64,776 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "48231a8e33ed6e058a341c53b819de1a">
+<!ENTITY gcc-md5 "d6559145853fbaaa0fd7556ed93bce9a">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 3a63c0d15b8ad8d840ef5cfceabc960802823188)
+++ BOOK/patches.ent	(revision 670bf2c7c0c2aa2b2125f2e60da6e7da37427068)
@@ -26,5 +26,5 @@
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
-<!ENTITY gcc-specs-patch-md5 "9ba70e5765be93577166d824064e675a">
+<!ENTITY gcc-specs-patch-md5 "15e207e152928cb307f38aa0c0924429">
 <!ENTITY gcc-specs-patch-size "20 KB">
 
@@ -93,10 +93,10 @@
 <!-- Start of Pure64 patches -->
 
-<!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-2.patch">
-<!ENTITY gcc-pure64-patch-md5 "52943011d3b180db54d067b173266bb4">
+<!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
+<!ENTITY gcc-pure64-patch-md5 "9f230c4d6fc288405d831aaf02ef8a69">
 <!ENTITY gcc-pure64-patch-size "12 KB">
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
-<!ENTITY gcc-specs_pure64-patch-md5 "f8869dbc04a7aa55e5ec8885f4e7515b">
+<!ENTITY gcc-specs_pure64-patch-md5 "bdf42c85af936319438f912a3870e3ea">
 <!ENTITY gcc-specs_pure64-patch-size "24 KB">
 
